# uip/uip-neighbor.h File Reference

## Detailed Description

Header file for database of link-local neighbors, used by IPv6 code and to be used by future ARP code.

Author:
  Adam Dunkels <adam@sics.se>

Definition in file uip-neighbor.h.

`#include "uip.h"`

Go to the source code of this file.

## Data Structures

struct | uip_neighbor_addr

## Functions

void | uip_neighbor_init (void)
void | uip_neighbor_add (uip_ipaddr_t ipaddr, struct uip_neighbor_addr *addr)
void | uip_neighbor_update (uip_ipaddr_t ipaddr)
uip_neighbor_addr * | uip_neighbor_lookup (uip_ipaddr_t ipaddr)
void | uip_neighbor_periodic (void)